diff third_party/emsdk/test/test_bazel_mac.sh @ 186:8cf4ec5e2191 hg-web

Fixed merge conflict.
author MrJuneJune <me@mrjunejune.com>
date Fri, 23 Jan 2026 22:38:59 -0800
parents 8d17f6e6e290
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/third_party/emsdk/test/test_bazel_mac.sh	Fri Jan 23 22:38:59 2026 -0800
@@ -0,0 +1,31 @@
+#!/usr/bin/env bash
+
+echo "test bazel"
+
+set -x
+set -e
+
+# Get the latest version number from emscripten-releases-tag.json.
+VER=$(scripts/get_release_info.py emscripten-releases-tags.json latest)
+
+# Based on the latest version number, get the commit hash for that version.
+HASH=$(scripts/get_release_info.py emscripten-releases-tags.json hash ${VER})
+
+FAILMSG="!!! scripts/update_bazel_workspace.py needs to be run !!!"
+
+# Ensure the WORKSPACE file is up to date with the latest version.
+grep ${VER} bazel/revisions.bzl || (echo ${FAILMSG} && false)
+grep ${HASH} bazel/revisions.bzl || (echo ${FAILMSG} && false)
+grep ${VER} bazel/MODULE.bazel || (echo ${FAILMSG} && false)
+
+cd bazel
+bazel build //hello-world:hello-world-wasm
+bazel build //hello-world:hello-world-wasm-simd
+
+cd test_external
+bazel build //long_command_line:long_command_line_wasm
+bazel build //:hello-world-wasm
+
+cd ../test_secondary_lto_cache
+bazel build //:hello-world-wasm
+